Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1228089 - Review Request: php-zetacomponents-base - Zeta Base Component
Review Request: php-zetacomponents-base - Zeta Base Component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: zetacomponents/unit-test
Blocks: zetacomponents/graph 1228091
  Show dependency treegraph
 
Reported: 2015-06-04 03:53 EDT by Remi Collet
Modified: 2016-08-14 12:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-zetacomponents-base-1.9-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 12:57:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo-full.log (15.03 KB, text/plain)
2015-06-28 16:46 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-src.log (10.45 KB, text/plain)
2015-06-28 16:47 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (6.64 KB, text/plain)
2015-06-28 16:47 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-06-04 03:53:22 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/9ea96b23650357863b616241909cdeabc5f50a12/php/zeta/php-zetacomponents-base/php-zetacomponents-base.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-zetacomponents-base-1.9-2.remi.src.rpm
Description: 
This is the base package of the Zeta components, offering the basic
support that all Components need. In the first version this will be the
autoload support.

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2015-06-28 16:46:30 EDT
Created attachment 1044101 [details]
phpcompatinfo-full.log

Full (i.e. BuildRequires) phpcompatinfo

phpCompatInfo version 4.2.0 DB built May 22 2015 19:29:18 CEST
Comment 2 Shawn Iwinski 2015-06-28 16:47:18 EDT
Created attachment 1044102 [details]
phpcompatinfo-src.log

Source (i.e. Requires) phpcompatinfo

phpCompatInfo version 4.2.0 DB built May 22 2015 19:29:18 CEST
Comment 3 Shawn Iwinski 2015-06-28 16:47:57 EDT
Created attachment 1044103 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1228089
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2015-06-28 16:51:29 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



[x]: Requires correct, justified where necessary.

     Per phpcompatinfo:
         BuildRequires: php-pcre
         BuildRequires: php-simplexml
         BuildRequires: php-spl
     
     Why the following?:
         BuildRequires: php-posix
         Requires:      php-posix

I'll leave those details up to you :)



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2015-06-29 01:12:46 EDT
>      Why the following?:
>          BuildRequires: php-posix
>          Requires:      php-posix

From phpcompatinfo report optional dep.

Conditions Analysis
    function_exists(posix_getpwuid) 1       posix    4.0.0       4.0.0        

(yes having optional dep "outside" the "Extension Analysis" seems ugly).
Comment 6 Remi Collet 2015-06-29 01:14:13 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: php-zetacomponents-base
Short Description: Zeta Base Component
Upstream URL: http://zetacomponents.org/
Owners: remi
Branches: f21 f22 el6 epel7
InitialCC:
Comment 7 Gwyn Ciesla 2015-06-29 11:59:54 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-06-29 13:08:01 EDT
php-zetacomponents-base-1.9-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-zetacomponents-base-1.9-2.el6
Comment 9 Fedora Update System 2015-06-29 13:09:13 EDT
php-zetacomponents-base-1.9-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-zetacomponents-base-1.9-2.el7
Comment 10 Fedora Update System 2015-06-29 13:09:19 EDT
php-zetacomponents-base-1.9-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-zetacomponents-base-1.9-2.fc21
Comment 11 Fedora Update System 2015-06-29 13:09:28 EDT
php-zetacomponents-base-1.9-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-zetacomponents-base-1.9-2.fc22
Comment 12 Fedora Update System 2015-07-13 15:06:10 EDT
php-zetacomponents-base-1.9-2.fc21 has been pushed to the Fedora 21 stable repository.
Comment 13 Fedora Update System 2015-07-13 15:13:08 EDT
php-zetacomponents-base-1.9-2.fc22 has been pushed to the Fedora 22 stable repository.
Comment 14 Fedora Update System 2015-07-15 21:46:57 EDT
php-zetacomponents-base-1.9-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Fedora Update System 2015-07-15 21:47:57 EDT
php-zetacomponents-base-1.9-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.